--- heap_safe.h.orig	2019-05-17 00:45:02.394672000 +0300
+++ heap_safe.h	2019-05-17 00:45:58.185826000 +0300
@@ -65,24 +65,24 @@ enum eHeapSafeErrors {
 
 struct sHeapSafeMemoryControlBlock {
 	char stringInfo[3];
-	u_int32_t length;
-	u_int32_t memory_type;
+	uint32_t length;
+	uint32_t memory_type;
 };
 
 struct sHeapSafeMemoryControlBlockPlus : public sHeapSafeMemoryControlBlock {
 	void *block_addr;
 	char memory_type1[20];
-	u_int16_t memory_type2;
-	u_int16_t check_sum;
+	uint16_t memory_type2;
+	uint16_t check_sum;
 };
 
 struct sHeapSafeMemoryControlBlockEx : public sHeapSafeMemoryControlBlock {
-	u_int32_t memory_type_other;
+	uint32_t memory_type_other;
 };
 
 struct sMemoryStatQuickBlock {
-	u_int32_t alloc_number;
-	u_int32_t size;
+	uint32_t alloc_number;
+	uint32_t size;
 };
 
 
@@ -98,7 +98,7 @@ inline void *memcpy_heapsafe(void *destination, const 
 	if(HeapSafeCheck & _HeapSafeErrorBeginEnd) {
 		bool error = false;
 		sHeapSafeMemoryControlBlock *destination_beginMemoryBlock;
-		u_int32_t destinationLength = 0;
+		uint32_t destinationLength = 0;
 		if(destination_begin) {
 			destination_beginMemoryBlock = (sHeapSafeMemoryControlBlock*)((unsigned char*)destination_begin - SIZEOF_MCB);
 			if(HEAPSAFE_CMP_BEGIN_MEMORY_CONTROL_BLOCK(destination_beginMemoryBlock->stringInfo)) {
@@ -109,7 +109,7 @@ inline void *memcpy_heapsafe(void *destination, const 
 			}
 		}
 		sHeapSafeMemoryControlBlock *source_beginMemoryBlock;
-		u_int32_t sourceLength = 0;
+		uint32_t sourceLength = 0;
 		if(source_begin) {
 			source_beginMemoryBlock = (sHeapSafeMemoryControlBlock*)((unsigned char*)source_begin - SIZEOF_MCB);
 			if(HEAPSAFE_CMP_BEGIN_MEMORY_CONTROL_BLOCK(source_beginMemoryBlock->stringInfo)) {
@@ -155,7 +155,7 @@ inline void *memset_heapsafe(void *ptr, void *ptr_begi
 	if(HeapSafeCheck & _HeapSafeErrorBeginEnd) {
 		bool error = false;
 		sHeapSafeMemoryControlBlock *ptr_beginMemoryBlock;
-		u_int32_t ptrLength = 0;
+		uint32_t ptrLength = 0;
 		if(ptr_begin) {
 			ptr_beginMemoryBlock = (sHeapSafeMemoryControlBlock*)((unsigned char*)ptr_begin - SIZEOF_MCB);
 			if(HEAPSAFE_CMP_BEGIN_MEMORY_CONTROL_BLOCK(ptr_beginMemoryBlock->stringInfo)) {
@@ -189,7 +189,7 @@ inline void *memset_heapsafe(void *ptr, int value, siz
 
 std::string getMemoryStat(bool all = false);
 std::string getMemoryStatQuick(bool all = false);
-std::string addThousandSeparators(u_int64_t num);
+std::string addThousandSeparators(uint64_t num);
 void printMemoryStat(bool all = false);
 void memoryStatInit();
 
